Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 476573 - multi-org, shared channels is not allowing users to view details, ISE
Summary: multi-org, shared channels is not allowing users to view details, ISE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Ortel
QA Contact: Red Hat Satellite QA List
URL: rhn/software/packages/Details.do?pid=...
Whiteboard:
Depends On: 475365
Blocks: space04 476893
TreeView+ depends on / blocked
 
Reported: 2008-12-15 19:47 UTC by Shannon Hughes
Modified: 2009-01-22 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:38:09 UTC


Attachments (Terms of Use)

Description Shannon Hughes 2008-12-15 19:47:46 UTC
+++ This bug was initially created as a clone of Bug #475365 +++

Description of problem:

we need to modify the verification for a user access to package details. looks like we are joining against rhnAvailableChannels which does not query the trusted orgs to allow access to users of trusted organizations that own the package. 

UserManager class [verify package access] -> query for rhnavailablechannels and rhnchannelpackage

Expected results: 

users of trusted orgs viewing shared channels should have access to the package details.

Comment 1 Jeff Ortel 2008-12-17 16:10:26 UTC
After looking at this, it seemed to make sense to update the rhnAvailableChannels view to included shared channels.  Making this change fixes this issue and doesn't appear to have any negative side affects on other pages/functionallity.  

Since this is a schema change, the following schema upgrade scripts need to be run before testing (or reload the schema):

/schema/spacewalk/upgrade/spacewalk-0.3-spacewalk-0.4

122-rhn_channel.pkb
144-rhnSharedChannelTreeView.sql
145-rhnAvailableChannels.sql


Note You need to log in before you can comment on or make changes to this bug.